<template>
    <v-container fluid>
        <v-form fast-fail @submit.prevent="getAllRoles" class="custom">
            <v-row>
                <v-col cols="6" md="3">
                    <div class="custom-label">Adı </div><br>
                    <v-text-field class="text-eureko" :disabled="false" variant="outlined" v-model="reactForm.name" />
                    <div class="custom-label">Açıklama </div><br>
                    <v-text-field class="text-eureko" :disabled="false" v-model="reactForm.description" variant="outlined" />
                </v-col>
                <v-col cols="6" md="3">
                    <div class="custom-label">Görünen Adı </div><br>
                    <v-text-field class="text-eureko" :disabled="false" v-model="reactForm.displayText" variant="outlined" />
                </v-col>
            </v-row>
            <v-row>
                <v-col cols="12" md="12" justify="end" class="text-right">
                    <custom-button style="width: 120px;" color="primary" size="medium" val="Filtrele" @click="getAllRoles" />
                </v-col>
            </v-row>
        </v-form>
        <v-snackbar v-model="snackbar" :timeout="1500" absolute centered color="deep-purple accent-4" elevation="24">
            {{ errorMessage }}
        </v-snackbar>
    </v-container>
</template>
<script>
import RoleService from "@/services/RoleService";
import  CustomButton  from '@/components/custom-controller/CustomButton.vue';
import { reactive, ref } from "vue";

export default {
    name: "RoleFilter",
    components: {
        CustomButton
    },
    setup() {
        const snackbar = ref(false);
        const errorMessage = ref('');
        const reactForm = reactive({
            name: "",
            description: "",
            displayText: ""
        });
        const getAllRoles = () => {
            const request = {
                name: reactForm.name,
                description: reactForm.description,
                displayText: reactForm.displayText
            }
            RoleService.GetAllRoles(request)
                .then((response) => {
                    console.log(response)
                })
                .catch((error) => {
                    console.log(error.ErrorMessage)
                    errorMessage.value = 'Lütfen farklı bir kullanıcı adıyla deneyin';
                    snackbar.value = true;
                });
        };

        return {
            snackbar,
            errorMessage,
            reactForm,
            getAllRoles
        };

    },
};
</script>
<style scoped>
@import "@/assets/styles/custom/custom-input.css";
</style>